<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="image"
            type="com.golfzonvn.app.imagesearch.core.model.Image" />

        <import type="com.golfzonvn.app.imageloader.R" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ImageView
            android:id="@+id/ivThumbnail"
            imageUrl="@{image.thumbnail}"
            placeholder="@{R.mipmap.image_placeholder}"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:scaleType="fitCenter"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="URL" />

        <com.github.chrisbanes.photoview.PhotoView
            android:id="@+id/ivPhoto"
            imageUrl="@{image.url}"
            placeholder="@{0}"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:scaleType="fitCenter"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="URL" />

        <TextView
            android:id="@+id/tvPhotographer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_photographer"
            android:paddingHorizontal="16dp"
            android:paddingVertical="8dp"
            android:text="@{image.photographer}"
            android:textColor="@color/white"
            app:layout_constraintBottom_toBottomOf="parent"
            tools:text="Mr. Bean" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>